GNU logs - #12615, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Harald Hanche-Olsen <hanche@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 10 Oct 2012 15:39:02 +0000
Resent-Message-ID: <handler.12615.B.134988348222029 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 12615 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.134988348222029
          (code B ref -1); Wed, 10 Oct 2012 15:39:02 +0000
Received: (at submit) by debbugs.gnu.org; 10 Oct 2012 15:38:02 +0000
Received: from localhost ([127.0.0.1]:37691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TLyMD-0005jC-Oj
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:38:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34420)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyMA-0005it-63
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:37:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLQ-0005w1-Lm
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:37:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:47796)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLQ-0005vv-Ii
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:37:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45496)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLP-0005y4-LZ
	for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2012 11:37:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLJ-0005uZ-8O
	for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2012 11:37:11 -0400
Received: from hylle02.itea.ntnu.no ([129.241.56.101]:47581)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLJ-0005u0-15
	for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2012 11:37:05 -0400
Received: from localhost (localhost [127.0.0.1])
	by hylle02.itea.ntnu.no (Postfix) with ESMTP id 2FAD8386F6
	for <bug-gnu-emacs@HIDDEN>; Wed, 10 Oct 2012 17:36:59 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at hylle02.itea.ntnu.no
Received: from localhost (unknown [IPv6:2001:700:300:1470:e070:5ab5:174d:1599])
	(using TLSv1 with cipher RC4-SHA (128/128 bits))
	(No client certificate requested) (Authenticated sender: hanche)
	by hylle02.itea.ntnu.no (Postfix) with ESMTPSA id B6057386DE;
	Wed, 10 Oct 2012 17:36:58 +0200 (CEST)
Date: Wed, 10 Oct 2012 17:36:58 +0200 (CEST)
Message-Id: <20121010.173658.77853335142870486.hanche@HIDDEN>
From: Harald Hanche-Olsen <hanche@HIDDEN>
X-URL: http://www.math.ntnu.no/~hanche/
X-Mailer: Mew version 6.5 on Emacs 24.2.50 / Mule 6.0 (HANACHIRUSATO)
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Starting with emacs -Q:

Evaluate the following in the *scratch* buffer:
(make-local-variable 'completion-ignore-case)
Then type: C-x 8 C-m a TAB

Expected result:
  A completion list of unicode names starting with the letter A.
Actual result:
  [no match]

Some observations: C-x 8 C-m is bound to insert-char, a C function.
And insert-char calls read-char-by-name, which let-binds
completion-ignore-case to t. The clear intention is that unicode name
searches should always be case insensitive, and this seems always to
be the case if completion-ignore-case is not buffer local.

Setting completion-ignore-case to t in the *scratch* buffer still does
not help.

In GNU Emacs 24.2.50.1 (x86_64-apple-darwin11.4.0, NS apple-appkit-1138.47)
 of 2012-09-24 on airy
Bzr revision: 110175 rgm@HIDDEN
Windowing system distributor `Apple', version 10.3.1138
Configured using:
 `configure '--with-ns''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

I have also seen this on a quite recent emacs on x86_64-unknown-linux-gnu.

- Harald




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.428 (Entity 5.428)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Harald Hanche-Olsen <hanche@HIDDEN>
Subject: bug#12615: Acknowledgement (24.2.50; Non-ignored case in insert-char)
Message-ID: <handler.12615.B.134988348222029.ack <at> debbugs.gnu.org>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
X-Gnu-PR-Message: ack 12615
X-Gnu-PR-Package: emacs
Reply-To: 12615 <at> debbugs.gnu.org
Date: Wed, 10 Oct 2012 15:39:02 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 12615 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
12615: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D12615
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Harald Hanche-Olsen <hanche@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 10 Oct 2012 18:05:02 +0000
Resent-Message-ID: <handler.12615.B12615.13498922662761 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 12615 <at> debbugs.gnu.org
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.13498922662761
          (code B ref 12615); Wed, 10 Oct 2012 18:05:02 +0000
Received: (at 12615) by debbugs.gnu.org; 10 Oct 2012 18:04:26 +0000
Received: from localhost ([127.0.0.1]:37902 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TM0dt-0000iU-Sg
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 14:04:26 -0400
Received: from hylle01.itea.ntnu.no ([129.241.56.100]:43766)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TM0dr-0000iL-7L
	for 12615 <at> debbugs.gnu.org; Wed, 10 Oct 2012 14:04:24 -0400
Received: from localhost (localhost [127.0.0.1])
	by hylle01.itea.ntnu.no (Postfix) with ESMTP id 6178233A011
	for <12615 <at> debbugs.gnu.org>; Wed, 10 Oct 2012 20:03:41 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at hylle01.itea.ntnu.no
Received: from localhost (6.225.34.95.customer.cdi.no [95.34.225.6])
	(using TLSv1 with cipher RC4-SHA (128/128 bits))
	(No client certificate requested) (Authenticated sender: hanche)
	by hylle01.itea.ntnu.no (Postfix) with ESMTPSA id E70B631E00A;
	Wed, 10 Oct 2012 20:03:40 +0200 (CEST)
Date: Wed, 10 Oct 2012 20:03:41 +0200 (CEST)
Message-Id: <20121010.200341.1735119142677865822.hanche@HIDDEN>
From: Harald Hanche-Olsen <hanche@HIDDEN>
In-Reply-To: <20121010.173658.77853335142870486.hanche@HIDDEN>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
X-URL: http://www.math.ntnu.no/~hanche/
X-Mailer: Mew version 6.5 on Emacs 24.2.50 / Mule 6.0 (HANACHIRUSATO)
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.6 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

Thinking about this on my way home from work, I think I figured out
the reason for this problem:

The let binding of completion-ignore-case takes place in the current
buffer, and so overrides the buffer-local binding. However, the
variable is used in the minibuffer, in which the buffer-local binding
(and with it, the let binding) is not visible; it uses the global
binding instead.

I am not totally sure about this; however, a simple experiment shows
that buffer-local bindings and let bindings interact in the way
described.

If I am right, then making completion-ignore-case buffer-local makes
no sense, as it can't have any effect. (If you're curious, mew does
this. I should contact the author to find out why.)

As to whether this is an emacs bug, I am no longer sure.

But I can't find anything in the elisp manual about how let operates
on buffer-local variables.

- Harald




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Andreas Schwab <schwab@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 10 Oct 2012 19:32:02 +0000
Resent-Message-ID: <handler.12615.B12615.134989749310798 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Harald Hanche-Olsen <hanche@HIDDEN>
Cc: 12615 <at> debbugs.gnu.org
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.134989749310798
          (code B ref 12615); Wed, 10 Oct 2012 19:32:02 +0000
Received: (at 12615) by debbugs.gnu.org; 10 Oct 2012 19:31:33 +0000
Received: from localhost ([127.0.0.1]:38041 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TM20C-0002o6-K2
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 15:31:32 -0400
Received: from mail-out.m-online.net ([212.18.0.9]:34333)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <whitebox@HIDDEN>) id 1TM209-0002ny-9S
	for 12615 <at> debbugs.gnu.org; Wed, 10 Oct 2012 15:31:30 -0400
Received: from frontend1.mail.m-online.net (unknown [192.168.8.180])
	by mail-out.m-online.net (Postfix) with ESMTP id 3XcQQH4BBHz4KK6S;
	Wed, 10 Oct 2012 21:30:47 +0200 (CEST)
X-Auth-Info: rp2fH4ZUztbMgSWWuigscIwl3XOcpkY9ZbGCkv8SRQs=
Received: from igel.home (ppp-93-104-147-205.dynamic.mnet-online.de
	[93.104.147.205])
	by mail.mnet-online.de (Postfix) with ESMTPA id 3XcQQH3Zt3zbbgL;
	Wed, 10 Oct 2012 21:30:47 +0200 (CEST)
Received: by igel.home (Postfix, from userid 501)
	id E13B0CA2A4; Wed, 10 Oct 2012 21:30:46 +0200 (CEST)
From: Andreas Schwab <schwab@HIDDEN>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<20121010.200341.1735119142677865822.hanche@HIDDEN>
X-Yow: Let's send the Russians defective lifestyle accessories!
Date: Wed, 10 Oct 2012 21:30:46 +0200
In-Reply-To: <20121010.200341.1735119142677865822.hanche@HIDDEN> (Harald
	Hanche-Olsen's message of "Wed,
	10 Oct 2012 20:03:41 +0200 (CEST)")
Message-ID: <m24nm2xgyh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

Harald Hanche-Olsen <hanche@HIDDEN> writes:

> But I can't find anything in the elisp manual about how let operates
> on buffer-local variables.

*Note (elisp) Intro to Buffer-Local::

Andreas.

-- 
Andreas Schwab, schwab@HIDDEN
GPG Key fingerprint = 58CA 54C7 6D53 942B 1756  01D3 44D5 214B 8276 4ED5
"And now for something completely different."




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Glenn Morris <rgm@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 10 Oct 2012 21:32:02 +0000
Resent-Message-ID: <handler.12615.B12615.134990470821566 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Harald Hanche-Olsen <hanche@HIDDEN>
Cc: 12615 <at> debbugs.gnu.org
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.134990470821566
          (code B ref 12615); Wed, 10 Oct 2012 21:32:02 +0000
Received: (at 12615) by debbugs.gnu.org; 10 Oct 2012 21:31:48 +0000
Received: from localhost ([127.0.0.1]:38172 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TM3sZ-0005bm-It
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 17:31:47 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:55489 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <rgm@HIDDEN>) id 1TM3sW-0005bd-KU
	for 12615 <at> debbugs.gnu.org; Wed, 10 Oct 2012 17:31:45 -0400
Received: from rgm by fencepost.gnu.org with local (Exim 4.71)
	(envelope-from <rgm@HIDDEN>)
	id 1TM3rq-00024H-Nu; Wed, 10 Oct 2012 17:31:02 -0400
From: Glenn Morris <rgm@HIDDEN>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<20121010.200341.1735119142677865822.hanche@HIDDEN>
X-Spook: Khaddafi Iran pink noise Armani Bruxelles warfare NORAD
X-Ran: R(iWTJM8hJ?p:=6;DgnRvu(OncD|]i%[GVcZ'!^}I[8Mrh<Ahz"((6W5voI%T53TMG'VWt
X-Hue: yellow
X-Attribution: GM
Date: Wed, 10 Oct 2012 17:31:02 -0400
In-Reply-To: <20121010.200341.1735119142677865822.hanche@HIDDEN> (Harald
	Hanche-Olsen's message of "Wed,
	10 Oct 2012 20:03:41 +0200 (CEST)")
Message-ID: <8ylife10bt.fsf@HIDDEN>
User-Agent: Gnus (www.gnus.org), GNU Emacs (www.gnu.org/software/emacs/)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
X-Spam-Score: -6.3 (------)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.3 (------)

Harald Hanche-Olsen wrote:

> If I am right, then making completion-ignore-case buffer-local makes
> no sense, as it can't have any effect. (If you're curious, mew does
> this. I should contact the author to find out why.)

I notice that progmodes/idlwave.el and progmodes/idlw-shell.el in Emacs
do this too.

> But I can't find anything in the elisp manual about how let operates
> on buffer-local variables.

As Andreas said, it has an explicit example of this kind of issue with a
bold "Warning" notice.

http://www.gnu.org/software/emacs/manual/html_node/elisp/Intro-to-Buffer_002dLocal.html




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 11 Oct 2012 00:57:02 +0000
Resent-Message-ID: <handler.12615.B12615.13499170097243 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Harald Hanche-Olsen <hanche@HIDDEN>
Cc: 12615 <at> debbugs.gnu.org
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.13499170097243
          (code B ref 12615); Thu, 11 Oct 2012 00:57:02 +0000
Received: (at 12615) by debbugs.gnu.org; 11 Oct 2012 00:56:49 +0000
Received: from localhost ([127.0.0.1]:38375 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TM74z-0001sm-HK
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 20:56:49 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:52864)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TM74y-0001sb-2Y
	for 12615 <at> debbugs.gnu.org; Wed, 10 Oct 2012 20:56:48 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09FxLQG/2dsb2JhbABEsEiDSYEIghUBAQQBViMFCws0EhQYDSSIHAW6CZBEA6MzgViDBQ
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="201064358"
Received: from 69-196-180-6.dsl.teksavvy.com (HELO ceviche.home)
	([69.196.180.6])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	10 Oct 2012 20:56:00 -0400
Received: by ceviche.home (Postfix, from userid 20848)
	id 868CB660CA; Wed, 10 Oct 2012 20:56:00 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
Date: Wed, 10 Oct 2012 20:56:00 -0400
In-Reply-To: <20121010.173658.77853335142870486.hanche@HIDDEN> (Harald
	Hanche-Olsen's message of "Wed, 10 Oct 2012 17:36:58 +0200 (CEST)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.1.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

> Some observations: C-x 8 C-m is bound to insert-char, a C function.
> And insert-char calls read-char-by-name, which let-binds
> completion-ignore-case to t.  The clear intention is that unicode name
> searches should always be case insensitive, and this seems always to
> be the case if completion-ignore-case is not buffer local.

Indeed, a buffer-local setting of completion-ignore-case can
bring surprises.  I think the patch below will fix this problem for this
particular case.


        Stefan


=== modified file 'lisp/international/mule-cmds.el'
--- lisp/international/mule-cmds.el	2012-09-25 18:47:18 +0000
+++ lisp/international/mule-cmds.el	2012-10-11 00:54:27 +0000
@@ -2958,13 +2958,14 @@
 This function also accepts a hexadecimal number of Unicode code
 point or a number in hash notation, e.g. #o21430 for octal,
 #x2318 for hex, or #10r8984 for decimal."
-  (let* ((completion-ignore-case t)
-	 (input (completing-read
+  (let ((input
+         (completing-read
                  prompt
                  (lambda (string pred action)
+            (let ((completion-ignore-case t))
                    (if (eq action 'metadata)
                        '(metadata (category . unicode-name))
-                     (complete-with-action action (ucs-names) string pred))))))
+                (complete-with-action action (ucs-names) string pred)))))))
     (cond
      ((string-match-p "\\`[0-9a-fA-F]+\\'" input)
       (string-to-number input 16))





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Harald Hanche-Olsen <hanche@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 11 Oct 2012 06:34:02 +0000
Resent-Message-ID: <handler.12615.B12615.13499371904079 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: rgm@HIDDEN
Cc: 12615 <at> debbugs.gnu.org
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.13499371904079
          (code B ref 12615); Thu, 11 Oct 2012 06:34:02 +0000
Received: (at 12615) by debbugs.gnu.org; 11 Oct 2012 06:33:10 +0000
Received: from localhost ([127.0.0.1]:38631 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TMCKR-00013g-6p
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2012 02:33:10 -0400
Received: from hylle02.itea.ntnu.no ([129.241.56.101]:54108)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TMCKN-00013X-Ug
	for 12615 <at> debbugs.gnu.org; Thu, 11 Oct 2012 02:33:05 -0400
Received: from localhost (localhost [127.0.0.1])
	by hylle02.itea.ntnu.no (Postfix) with ESMTP id 96CC6386F8;
	Thu, 11 Oct 2012 08:32:19 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at hylle02.itea.ntnu.no
Received: from localhost (6.225.34.95.customer.cdi.no [95.34.225.6])
	(using TLSv1 with cipher RC4-SHA (128/128 bits))
	(No client certificate requested) (Authenticated sender: hanche)
	by hylle02.itea.ntnu.no (Postfix) with ESMTPSA id 47E19381D5;
	Thu, 11 Oct 2012 08:32:19 +0200 (CEST)
Date: Thu, 11 Oct 2012 08:32:18 +0200 (CEST)
Message-Id: <20121011.083218.147028685289345966.hanche@HIDDEN>
From: Harald Hanche-Olsen <hanche@HIDDEN>
In-Reply-To: <8ylife10bt.fsf@HIDDEN>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<20121010.200341.1735119142677865822.hanche@HIDDEN>
	<8ylife10bt.fsf@HIDDEN>
X-URL: http://www.math.ntnu.no/~hanche/
X-Mailer: Mew version 6.5 on Emacs 24.2.50 / Mule 6.0 (HANACHIRUSATO)
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.6 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

[Glenn Morris <rgm@HIDDEN> (2012-10-10 21:31:02 UTC)]

> Harald Hanche-Olsen wrote:
> 
> > But I can't find anything in the elisp manual about how let operates
> > on buffer-local variables.
> 
> As Andreas said, it has an explicit example of this kind of issue with a
> bold "Warning" notice.

Ah, so it does. How on earth did I miss that? My guess: The anemic
scroll bars on the Mac making me think I was seeing the whole buffer.

- Harald




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Harald Hanche-Olsen <hanche@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 11 Oct 2012 06:39:02 +0000
Resent-Message-ID: <handler.12615.B12615.13499375044597 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: monnier@HIDDEN
Cc: 12615 <at> debbugs.gnu.org
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.13499375044597
          (code B ref 12615); Thu, 11 Oct 2012 06:39:02 +0000
Received: (at 12615) by debbugs.gnu.org; 11 Oct 2012 06:38:24 +0000
Received: from localhost ([127.0.0.1]:38636 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TMCPV-0001C3-O6
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2012 02:38:22 -0400
Received: from hylle02.itea.ntnu.no ([129.241.56.101]:54555)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TMCPN-0001Bp-PN
	for 12615 <at> debbugs.gnu.org; Thu, 11 Oct 2012 02:38:19 -0400
Received: from localhost (localhost [127.0.0.1])
	by hylle02.itea.ntnu.no (Postfix) with ESMTP id DAC5438701;
	Thu, 11 Oct 2012 08:37:29 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at hylle02.itea.ntnu.no
Received: from localhost (6.225.34.95.customer.cdi.no [95.34.225.6])
	(using TLSv1 with cipher RC4-SHA (128/128 bits))
	(No client certificate requested) (Authenticated sender: hanche)
	by hylle02.itea.ntnu.no (Postfix) with ESMTPSA id 78C25386F8;
	Thu, 11 Oct 2012 08:37:29 +0200 (CEST)
Date: Thu, 11 Oct 2012 08:37:29 +0200 (CEST)
Message-Id: <20121011.083729.343327697241844928.hanche@HIDDEN>
From: Harald Hanche-Olsen <hanche@HIDDEN>
In-Reply-To: <jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
X-URL: http://www.math.ntnu.no/~hanche/
X-Mailer: Mew version 6.5 on Emacs 24.2.50 / Mule 6.0 (HANACHIRUSATO)
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Spam-Score: -3.6 (---)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -3.6 (---)

[Stefan Monnier <monnier@HIDDEN> (2012-10-11 00:56:00 UTC)]

> Indeed, a buffer-local setting of completion-ignore-case can
> bring surprises.  I think the patch below will fix this problem for this
> particular case.

Indeed it does. I think that patch is worth committing.

- Harald




Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.428 (Entity 5.428)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Stefan Monnier <monnier@HIDDEN>
Subject: bug#12615: closed (24.2.50; Non-ignored case in insert-char)
CC: tracker <at> debbugs.gnu.org
Message-ID: <handler.12615.D12615.134998641613657.ackdone <at> debbugs.gnu.org>
References: <jwvpq4oix91.fsf-monnier+emacs@HIDDEN>
 <20121010.173658.77853335142870486.hanche@HIDDEN>
X-Gnu-PR-Message: closed 12615
X-Gnu-PR-Package: emacs
Date: Thu, 11 Oct 2012 20:14:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1349986442-13696-0"

This is a multi-part message in MIME format...

------------=_1349986442-13696-0
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset=utf-8

Your message dated Thu, 11 Oct 2012 16:12:41 -0400
with message-id <jwvpq4oix91.fsf-monnier+emacs@HIDDEN>
and subject line Re: bug#12615: 24.2.50; Non-ignored case in insert-char
has caused the debbugs.gnu.org bug report #12615,
regarding 24.2.50; Non-ignored case in insert-char
to be marked as done.

(If you believe you have received this mail in error, please contact
help-debbugs@HIDDEN)


--=20
12615: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D12615
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1349986442-13696-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 10 Oct 2012 15:38:02 +0000
Received: from localhost ([127.0.0.1]:37691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TLyMD-0005jC-Oj
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:38:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34420)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyMA-0005it-63
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:37:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLQ-0005w1-Lm
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:37:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:47796)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLQ-0005vv-Ii
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:37:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45496)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLP-0005y4-LZ
	for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2012 11:37:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLJ-0005uZ-8O
	for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2012 11:37:11 -0400
Received: from hylle02.itea.ntnu.no ([129.241.56.101]:47581)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLJ-0005u0-15
	for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2012 11:37:05 -0400
Received: from localhost (localhost [127.0.0.1])
	by hylle02.itea.ntnu.no (Postfix) with ESMTP id 2FAD8386F6
	for <bug-gnu-emacs@HIDDEN>; Wed, 10 Oct 2012 17:36:59 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at hylle02.itea.ntnu.no
Received: from localhost (unknown [IPv6:2001:700:300:1470:e070:5ab5:174d:1599])
	(using TLSv1 with cipher RC4-SHA (128/128 bits))
	(No client certificate requested) (Authenticated sender: hanche)
	by hylle02.itea.ntnu.no (Postfix) with ESMTPSA id B6057386DE;
	Wed, 10 Oct 2012 17:36:58 +0200 (CEST)
Date: Wed, 10 Oct 2012 17:36:58 +0200 (CEST)
Message-Id: <20121010.173658.77853335142870486.hanche@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2.50; Non-ignored case in insert-char
From: Harald Hanche-Olsen <hanche@HIDDEN>
X-URL: http://www.math.ntnu.no/~hanche/
X-Mailer: Mew version 6.5 on Emacs 24.2.50 / Mule 6.0 (HANACHIRUSATO)
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Starting with emacs -Q:

Evaluate the following in the *scratch* buffer:
(make-local-variable 'completion-ignore-case)
Then type: C-x 8 C-m a TAB

Expected result:
  A completion list of unicode names starting with the letter A.
Actual result:
  [no match]

Some observations: C-x 8 C-m is bound to insert-char, a C function.
And insert-char calls read-char-by-name, which let-binds
completion-ignore-case to t. The clear intention is that unicode name
searches should always be case insensitive, and this seems always to
be the case if completion-ignore-case is not buffer local.

Setting completion-ignore-case to t in the *scratch* buffer still does
not help.

In GNU Emacs 24.2.50.1 (x86_64-apple-darwin11.4.0, NS apple-appkit-1138.47)
 of 2012-09-24 on airy
Bzr revision: 110175 rgm@HIDDEN
Windowing system distributor `Apple', version 10.3.1138
Configured using:
 `configure '--with-ns''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

I have also seen this on a quite recent emacs on x86_64-unknown-linux-gnu.

- Harald



------------=_1349986442-13696-0
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 12615-done) by debbugs.gnu.org; 11 Oct 2012 20:13:36 +0000
Received: from localhost ([127.0.0.1]:39942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TMP8S-0003YD-BE
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2012 16:13:36 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:45829)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TMP8P-0003Y1-UH
	for 12615-done <at> debbugs.gnu.org; Thu, 11 Oct 2012 16:13:34 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09FxLQG/2dsb2JhbABEsEiDSYEIghUBAQQBViMQCzQSFBgNJIgcBboJkEQDozOBWIMF
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="201138900"
Received: from 69-196-180-6.dsl.teksavvy.com (HELO pastel.home)
	([69.196.180.6])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	11 Oct 2012 16:12:41 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 6BEBD59516; Thu, 11 Oct 2012 16:12:41 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Harald Hanche-Olsen <hanche@HIDDEN>
Subject: Re: bug#12615: 24.2.50; Non-ignored case in insert-char
Message-ID: <jwvpq4oix91.fsf-monnier+emacs@HIDDEN>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
	<20121011.083729.343327697241844928.hanche@HIDDEN>
Date: Thu, 11 Oct 2012 16:12:41 -0400
In-Reply-To: <20121011.083729.343327697241844928.hanche@HIDDEN> (Harald
	Hanche-Olsen's message of "Thu,
	11 Oct 2012 08:37:29 +0200 (CEST)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12615-done
Cc: 12615-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

>> Indeed, a buffer-local setting of completion-ignore-case can
>> bring surprises.  I think the patch below will fix this problem for this
>> particular case.
> Indeed it does.

Thanks, installed,


        Stefan


------------=_1349986442-13696-0--


Message sent:


MIME-Version: 1.0
X-Mailer: MIME-tools 5.428 (Entity 5.428)
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: Harald Hanche-Olsen <hanche@HIDDEN>
Subject: bug#12615: closed (Re: bug#12615: 24.2.50; Non-ignored case in
 insert-char)
Message-ID: <handler.12615.D12615.134998641613657.notifdone <at> debbugs.gnu.org>
References: <jwvpq4oix91.fsf-monnier+emacs@HIDDEN>
 <20121010.173658.77853335142870486.hanche@HIDDEN>
X-Gnu-PR-Message: they-closed 12615
X-Gnu-PR-Package: emacs
Reply-To: 12615 <at> debbugs.gnu.org
Date: Thu, 11 Oct 2012 20:14:02 +0000
Content-Type: multipart/mixed; boundary="----------=_1349986442-13696-1"

This is a multi-part message in MIME format...

------------=_1349986442-13696-1
Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain; charset="utf-8"

Your bug report

#12615: 24.2.50; Non-ignored case in insert-char

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to 12615 <at> debbugs.gnu.org.

--=20
12615: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D12615
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems

------------=_1349986442-13696-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at 12615-done) by debbugs.gnu.org; 11 Oct 2012 20:13:36 +0000
Received: from localhost ([127.0.0.1]:39942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TMP8S-0003YD-BE
	for submit <at> debbugs.gnu.org; Thu, 11 Oct 2012 16:13:36 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:45829)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TMP8P-0003Y1-UH
	for 12615-done <at> debbugs.gnu.org; Thu, 11 Oct 2012 16:13:34 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai0FAG6Zu09FxLQG/2dsb2JhbABEsEiDSYEIghUBAQQBViMQCzQSFBgNJIgcBboJkEQDozOBWIMF
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="201138900"
Received: from 69-196-180-6.dsl.teksavvy.com (HELO pastel.home)
	([69.196.180.6])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	11 Oct 2012 16:12:41 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 6BEBD59516; Thu, 11 Oct 2012 16:12:41 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Harald Hanche-Olsen <hanche@HIDDEN>
Subject: Re: bug#12615: 24.2.50; Non-ignored case in insert-char
Message-ID: <jwvpq4oix91.fsf-monnier+emacs@HIDDEN>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
	<20121011.083729.343327697241844928.hanche@HIDDEN>
Date: Thu, 11 Oct 2012 16:12:41 -0400
In-Reply-To: <20121011.083729.343327697241844928.hanche@HIDDEN> (Harald
	Hanche-Olsen's message of "Thu,
	11 Oct 2012 08:37:29 +0200 (CEST)")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.2.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 12615-done
Cc: 12615-done <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

>> Indeed, a buffer-local setting of completion-ignore-case can
>> bring surprises.  I think the patch below will fix this problem for this
>> particular case.
> Indeed it does.

Thanks, installed,


        Stefan


------------=_1349986442-13696-1
Content-Type: message/rfc822
Content-Disposition: inline
Content-Transfer-Encoding: 7bit

Received: (at submit) by debbugs.gnu.org; 10 Oct 2012 15:38:02 +0000
Received: from localhost ([127.0.0.1]:37691 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TLyMD-0005jC-Oj
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:38:02 -0400
Received: from eggs.gnu.org ([208.118.235.92]:34420)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyMA-0005it-63
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:37:59 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLQ-0005w1-Lm
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:37:13 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:47796)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLQ-0005vv-Ii
	for submit <at> debbugs.gnu.org; Wed, 10 Oct 2012 11:37:12 -0400
Received: from eggs.gnu.org ([208.118.235.92]:45496)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLP-0005y4-LZ
	for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2012 11:37:12 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLJ-0005uZ-8O
	for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2012 11:37:11 -0400
Received: from hylle02.itea.ntnu.no ([129.241.56.101]:47581)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <hanche+bounces@HIDDEN>) id 1TLyLJ-0005u0-15
	for bug-gnu-emacs@HIDDEN; Wed, 10 Oct 2012 11:37:05 -0400
Received: from localhost (localhost [127.0.0.1])
	by hylle02.itea.ntnu.no (Postfix) with ESMTP id 2FAD8386F6
	for <bug-gnu-emacs@HIDDEN>; Wed, 10 Oct 2012 17:36:59 +0200 (CEST)
X-Virus-Scanned: Debian amavisd-new at hylle02.itea.ntnu.no
Received: from localhost (unknown [IPv6:2001:700:300:1470:e070:5ab5:174d:1599])
	(using TLSv1 with cipher RC4-SHA (128/128 bits))
	(No client certificate requested) (Authenticated sender: hanche)
	by hylle02.itea.ntnu.no (Postfix) with ESMTPSA id B6057386DE;
	Wed, 10 Oct 2012 17:36:58 +0200 (CEST)
Date: Wed, 10 Oct 2012 17:36:58 +0200 (CEST)
Message-Id: <20121010.173658.77853335142870486.hanche@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 24.2.50; Non-ignored case in insert-char
From: Harald Hanche-Olsen <hanche@HIDDEN>
X-URL: http://www.math.ntnu.no/~hanche/
X-Mailer: Mew version 6.5 on Emacs 24.2.50 / Mule 6.0 (HANACHIRUSATO)
Mime-Version: 1.0
Content-Type: Text/Plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -4.2 (----)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

Starting with emacs -Q:

Evaluate the following in the *scratch* buffer:
(make-local-variable 'completion-ignore-case)
Then type: C-x 8 C-m a TAB

Expected result:
  A completion list of unicode names starting with the letter A.
Actual result:
  [no match]

Some observations: C-x 8 C-m is bound to insert-char, a C function.
And insert-char calls read-char-by-name, which let-binds
completion-ignore-case to t. The clear intention is that unicode name
searches should always be case insensitive, and this seems always to
be the case if completion-ignore-case is not buffer local.

Setting completion-ignore-case to t in the *scratch* buffer still does
not help.

In GNU Emacs 24.2.50.1 (x86_64-apple-darwin11.4.0, NS apple-appkit-1138.47)
 of 2012-09-24 on airy
Bzr revision: 110175 rgm@HIDDEN
Windowing system distributor `Apple', version 10.3.1138
Configured using:
 `configure '--with-ns''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

I have also seen this on a quite recent emacs on x86_64-unknown-linux-gnu.

- Harald



------------=_1349986442-13696-1--


Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: bug archived.
Date: Fri, 09 Nov 2012 12:24:03 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# bug archived.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 29 Dec 2012 22:50:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Dec 29 17:50:26 2012
Received: from localhost ([127.0.0.1]:36450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tp5EY-0003mu-HN
	for submit <at> debbugs.gnu.org; Sat, 29 Dec 2012 17:50:26 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:35453
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1Tp5EX-0003mn-Dk
	for control <at> debbugs.gnu.org; Sat, 29 Dec 2012 17:50:25 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id A6902451CE1D
	for <control <at> debbugs.gnu.org>; Sat, 29 Dec 2012 14:49:23 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: unarchive 12615
Organization: JURTA
Date: Sun, 30 Dec 2012 00:49:06 +0200
Message-ID: <87vcbkxyn1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.8 (/)

unarchive 12615
stop




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 29 Dec 2012 23:18:01 +0000
Resent-Message-ID: <handler.12615.B12615.135682305820367 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: 12615 <at> debbugs.gnu.org, Harald Hanche-Olsen <hanche@HIDDEN>
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.135682305820367
          (code B ref 12615); Sat, 29 Dec 2012 23:18:01 +0000
Received: (at 12615) by debbugs.gnu.org; 29 Dec 2012 23:17:38 +0000
Received: from localhost ([127.0.0.1]:36462 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tp5er-0005IQ-4l
	for submit <at> debbugs.gnu.org; Sat, 29 Dec 2012 18:17:37 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:49287
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1Tp5ep-0005IJ-3x
	for 12615 <at> debbugs.gnu.org; Sat, 29 Dec 2012 18:17:35 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 776B4451CE1D;
	Sat, 29 Dec 2012 15:16:32 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
Organization: JURTA
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
Date: Sun, 30 Dec 2012 00:56:05 +0200
In-Reply-To: <jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Wed, 10 Oct 2012 20:56:00 -0400")
Message-ID: <87d2xsxy9q.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

>> Some observations: C-x 8 C-m is bound to insert-char, a C function.
>> And insert-char calls read-char-by-name, which let-binds
>> completion-ignore-case to t.  The clear intention is that unicode name
>> searches should always be case insensitive, and this seems always to
>> be the case if completion-ignore-case is not buffer local.
>
> Indeed, a buffer-local setting of completion-ignore-case can
> bring surprises.  I think the patch below will fix this problem for this
> particular case.

I just stumbled upon the case where this fix causes the regression:
typing `C-x 8 RET *acc TAB' results in "[No match]".

I don't know why this case disobeys the let-binding of
`completion-ignore-case' and whether a simpler fix is possible,
but at least this patch fixes it for the emacs-24 branch:

=== modified file 'lisp/international/mule-cmds.el'
--- lisp/international/mule-cmds.el	2012-10-11 20:05:47 +0000
+++ lisp/international/mule-cmds.el	2012-12-29 22:45:12 +0000
@@ -2946,10 +2946,12 @@ (defun read-char-by-name (prompt)
 point or a number in hash notation, e.g. #o21430 for octal,
 #x2318 for hex, or #10r8984 for decimal."
   (let ((input
+         (minibuffer-with-setup-hook
+	     (lambda ()
+	       (set (make-local-variable 'completion-ignore-case) t))
          (completing-read
           prompt
           (lambda (string pred action)
-            (let ((completion-ignore-case t))
               (if (eq action 'metadata)
                   '(metadata (category . unicode-name))
                 (complete-with-action action (ucs-names) string pred)))))))





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Fri, 04 Jan 2013 00:17:01 +0000
Resent-Message-ID: <handler.12615.B12615.135725860125102 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: 12615 <at> debbugs.gnu.org, Harald Hanche-Olsen <hanche@HIDDEN>
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.135725860125102
          (code B ref 12615); Fri, 04 Jan 2013 00:17:01 +0000
Received: (at 12615) by debbugs.gnu.org; 4 Jan 2013 00:16:41 +0000
Received: from localhost ([127.0.0.1]:42215 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tquxl-0006Wk-1v
	for submit <at> debbugs.gnu.org; Thu, 03 Jan 2013 19:16:41 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:58915
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1Tquxi-0006Wa-OY
	for 12615 <at> debbugs.gnu.org; Thu, 03 Jan 2013 19:16:39 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id D604D20012C225;
	Thu,  3 Jan 2013 16:16:33 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
Organization: JURTA
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
	<87d2xsxy9q.fsf@HIDDEN>
Date: Fri, 04 Jan 2013 02:13:13 +0200
In-Reply-To: <87d2xsxy9q.fsf@HIDDEN> (Juri Linkov's message of "Sun,
	30 Dec 2012 00:56:05 +0200")
Message-ID: <878v89u7pg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>>> Some observations: C-x 8 C-m is bound to insert-char, a C function.
>>> And insert-char calls read-char-by-name, which let-binds
>>> completion-ignore-case to t.  The clear intention is that unicode name
>>> searches should always be case insensitive, and this seems always to
>>> be the case if completion-ignore-case is not buffer local.
>>
>> Indeed, a buffer-local setting of completion-ignore-case can
>> bring surprises.  I think the patch below will fix this problem for this
>> particular case.
>
> I just stumbled upon the case where this fix causes the regression:
> typing `C-x 8 RET *acc TAB' results in "[No match]".
>
> I don't know why this case disobeys the let-binding of
> `completion-ignore-case' and whether a simpler fix is possible,
> but at least this patch fixes it for the emacs-24 branch:

Please ignore this patch.  Just search the source tree with
grep "completion-ignore-case t" and see the remaining 100 places
that have exactly the same problem.  Take for example the first grep
hit in bookmark.el.  Evaluate the following in the *scratch* buffer:
(make-local-variable 'completion-ignore-case)
Then type `C-x r b' (`bookmark-jump')
followed by a lower-case letter and TAB.
Completion is not case insensitive.

Maybe to fix all them at once, `read_minibuf' should make
a local variable `completion-ignore-case' in the minibuffer
and copy its value from the original buffer?




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 08 Jan 2013 00:54:02 +0000
Resent-Message-ID: <handler.12615.B12615.135760642431430 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: 12615 <at> debbugs.gnu.org, Harald Hanche-Olsen <hanche@HIDDEN>
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.135760642431430
          (code B ref 12615); Tue, 08 Jan 2013 00:54:02 +0000
Received: (at 12615) by debbugs.gnu.org; 8 Jan 2013 00:53:44 +0000
Received: from localhost ([127.0.0.1]:55794 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TsNRn-0008As-Lt
	for submit <at> debbugs.gnu.org; Mon, 07 Jan 2013 19:53:44 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:55600
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TsNRl-0008Al-O8
	for 12615 <at> debbugs.gnu.org; Mon, 07 Jan 2013 19:53:42 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 1EB62201A48439;
	Mon,  7 Jan 2013 16:53:38 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
Organization: JURTA
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
	<87d2xsxy9q.fsf@HIDDEN> <878v89u7pg.fsf@HIDDEN>
Date: Tue, 08 Jan 2013 02:45:45 +0200
In-Reply-To: <878v89u7pg.fsf@HIDDEN> (Juri Linkov's message of "Fri,
	04 Jan 2013 02:13:13 +0200")
Message-ID: <87sj6ccxj8.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

In light of the incoming pretest I propose to fix the regression now in
the emacs-24 branch (the test case for the regression is `C-x 8 RET *acc TAB')
with the patch below, and later think about another fix for trunk
(I still have no idea for a better fix) that doesn't cause a regression.

=== modified file 'lisp/international/mule-cmds.el'
--- lisp/international/mule-cmds.el	2013-01-01 09:11:05 +0000
+++ lisp/international/mule-cmds.el	2013-01-06 00:19:17 +0000
@@ -2945,14 +2945,13 @@ (defun read-char-by-name (prompt)
 This function also accepts a hexadecimal number of Unicode code
 point or a number in hash notation, e.g. #o21430 for octal,
 #x2318 for hex, or #10r8984 for decimal."
-  (let ((input
-         (completing-read
+  (let* ((completion-ignore-case t)
+	 (input (completing-read
           prompt
           (lambda (string pred action)
-            (let ((completion-ignore-case t))
               (if (eq action 'metadata)
                   '(metadata (category . unicode-name))
-                (complete-with-action action (ucs-names) string pred)))))))
+                     (complete-with-action action (ucs-names) string pred))))))
     (cond
      ((string-match-p "\\`[0-9a-fA-F]+\\'" input)
       (string-to-number input 16))





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 08 Jan 2013 03:20:01 +0000
Resent-Message-ID: <handler.12615.B12615.135761518112147 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Juri Linkov <juri@HIDDEN>
Cc: 12615 <at> debbugs.gnu.org, Harald Hanche-Olsen <hanche@HIDDEN>
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.135761518112147
          (code B ref 12615); Tue, 08 Jan 2013 03:20:01 +0000
Received: (at 12615) by debbugs.gnu.org; 8 Jan 2013 03:19:41 +0000
Received: from localhost ([127.0.0.1]:55901 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TsPj3-00039r-9z
	for submit <at> debbugs.gnu.org; Mon, 07 Jan 2013 22:19:41 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:50808)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1TsPj1-00039d-QG
	for 12615 <at> debbugs.gnu.org; Mon, 07 Jan 2013 22:19:40 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AhoHAG6Zu09FxIzd/2dsb2JhbABEgXuuTYNJgQiCFQEBBAFWIwULCzQSFBgNJIgcBboJkEQDiEKacYFYgwc
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="212024515"
Received: from 69-196-140-221.dsl.teksavvy.com (HELO pastel.home)
	([69.196.140.221])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	07 Jan 2013 22:19:31 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 690CD4E039; Mon,  7 Jan 2013 22:19:30 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvhams9xnc.fsf-monnier+emacs@HIDDEN>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
	<87d2xsxy9q.fsf@HIDDEN> <878v89u7pg.fsf@HIDDEN>
Date: Mon, 07 Jan 2013 22:19:30 -0500
In-Reply-To: <878v89u7pg.fsf@HIDDEN> (Juri Linkov's message of "Fri,
	04 Jan 2013 02:13:13 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

> Maybe to fix all them at once, `read_minibuf' should make
> a local variable `completion-ignore-case' in the minibuffer
> and copy its value from the original buffer?

That might be a good idea.
I'd guess only completing-read would need to do it, rather than
read_minibuf.

Tho we might still want to make it possible to specify case-irrelevance
in the completion table itself.


        Stefan




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 09 Jan 2013 00:25:02 +0000
Resent-Message-ID: <handler.12615.B12615.135769109918158 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: 12615 <at> debbugs.gnu.org, Harald Hanche-Olsen <hanche@HIDDEN>
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.135769109918158
          (code B ref 12615); Wed, 09 Jan 2013 00:25:02 +0000
Received: (at 12615) by debbugs.gnu.org; 9 Jan 2013 00:24:59 +0000
Received: from localhost ([127.0.0.1]:57489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TsjTX-0004ip-Gz
	for submit <at> debbugs.gnu.org; Tue, 08 Jan 2013 19:24:59 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:40566
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TsjTV-0004ii-OG
	for 12615 <at> debbugs.gnu.org; Tue, 08 Jan 2013 19:24:58 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 96CA5201B01D0D;
	Tue,  8 Jan 2013 16:24:49 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
Organization: JURTA
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
	<87d2xsxy9q.fsf@HIDDEN> <878v89u7pg.fsf@HIDDEN>
	<jwvhams9xnc.fsf-monnier+emacs@HIDDEN>
Date: Wed, 09 Jan 2013 02:20:29 +0200
In-Reply-To: <jwvhams9xnc.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Mon, 07 Jan 2013 22:19:30 -0500")
Message-ID: <87pq1fjjfu.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

>> Maybe to fix all them at once, `read_minibuf' should make
>> a local variable `completion-ignore-case' in the minibuffer
>> and copy its value from the original buffer?
>
> That might be a good idea.
> I'd guess only completing-read would need to do it, rather than
> read_minibuf.

Then `completing-read-default' would be a good place too
(anyone who overrides `completing-read-function' have to copy most of
code from `completing-read-default' anyway).

> Tho we might still want to make it possible to specify case-irrelevance
> in the completion table itself.

I suppose you mean specifying `completion-ignore-case' in `metadata'.
This could help to avoid problems with buffer-local bindings of
`completion-ignore-case'.




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 09 Jan 2013 02:42:02 +0000
Resent-Message-ID: <handler.12615.B12615.13576992882111 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Juri Linkov <juri@HIDDEN>
Cc: 12615 <at> debbugs.gnu.org, Harald Hanche-Olsen <hanche@HIDDEN>
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.13576992882111
          (code B ref 12615); Wed, 09 Jan 2013 02:42:02 +0000
Received: (at 12615) by debbugs.gnu.org; 9 Jan 2013 02:41:28 +0000
Received: from localhost ([127.0.0.1]:57545 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tslbb-0000Y0-VM
	for submit <at> debbugs.gnu.org; Tue, 08 Jan 2013 21:41:28 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:42933)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1Tslba-0000Xp-8z
	for 12615 <at> debbugs.gnu.org; Tue, 08 Jan 2013 21:41:26 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AhoHAG6Zu0+4rw8T/2dsb2JhbABEgXuuTYNJgQiCFQEBBAFWIxALNBIUGA0kiBwFugmQRAOIQppxgViDBw
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="212104732"
Received: from 184-175-15-19.dsl.teksavvy.com (HELO pastel.home)
	([184.175.15.19])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	08 Jan 2013 21:41:13 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 397A959230; Tue,  8 Jan 2013 21:41:12 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvsj6b2kd4.fsf-monnier+emacs@HIDDEN>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
	<87d2xsxy9q.fsf@HIDDEN> <878v89u7pg.fsf@HIDDEN>
	<jwvhams9xnc.fsf-monnier+emacs@HIDDEN>
	<87pq1fjjfu.fsf@HIDDEN>
Date: Tue, 08 Jan 2013 21:41:11 -0500
In-Reply-To: <87pq1fjjfu.fsf@HIDDEN> (Juri Linkov's message of "Wed,
	09 Jan 2013 02:20:29 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>> Tho we might still want to make it possible to specify case-irrelevance
>> in the completion table itself.
> I suppose you mean specifying `completion-ignore-case' in `metadata'.

I didn't intend to specify a particular way to do it.  It could be via
the `metadata', indeed.  But in Emacs<23 it was done simply be having
try-completion and all-completions ignore the case, without having to
tell anyone else.  If this "old style" (i.e. the style currently used in
read-char-by-name) can be made to work, that'd be even better.


        Stefan




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Juri Linkov <juri@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 10 Jan 2013 00:37:01 +0000
Resent-Message-ID: <handler.12615.B12615.13577781811995 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: 12615 <at> debbugs.gnu.org, Harald Hanche-Olsen <hanche@HIDDEN>
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.13577781811995
          (code B ref 12615); Thu, 10 Jan 2013 00:37:01 +0000
Received: (at 12615) by debbugs.gnu.org; 10 Jan 2013 00:36:21 +0000
Received: from localhost ([127.0.0.1]:59204 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tt683-0000W6-Su
	for submit <at> debbugs.gnu.org; Wed, 09 Jan 2013 19:36:21 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:55704
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>)
	id 1Tt680-0000Vs-Ps; Wed, 09 Jan 2013 19:36:18 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 2E6FA229B5BC41;
	Wed,  9 Jan 2013 16:36:01 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
Organization: JURTA
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
	<87d2xsxy9q.fsf@HIDDEN> <878v89u7pg.fsf@HIDDEN>
	<jwvhams9xnc.fsf-monnier+emacs@HIDDEN>
	<87pq1fjjfu.fsf@HIDDEN>
Date: Thu, 10 Jan 2013 02:24:27 +0200
In-Reply-To: <87pq1fjjfu.fsf@HIDDEN> (Juri Linkov's message of "Wed,
	09 Jan 2013 02:20:29 +0200")
Message-ID: <87fw29vq9v.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

reopen 12615
thanks

>> I'd guess only completing-read would need to do it, rather than
>> read_minibuf.
>
> Then `completing-read-default' would be a good place too
> (anyone who overrides `completing-read-function' have to copy most of
> code from `completing-read-default' anyway).

I tried to do this in `completing-read-default', and it seems to fix the
reported problem, and (make-local-variable 'completion-ignore-case) in
the *scratch* buffer doesn't override the let-binding in `read-char-by-name':

=== modified file 'lisp/minibuffer.el'
--- lisp/minibuffer.el	2013-01-03 00:36:36 +0000
+++ lisp/minibuffer.el	2013-01-10 00:23:05 +0000
@@ -3202,8 +3202,16 @@ (defun completing-read-default (prompt c
                     ;; in minibuffer-local-filename-completion-map can
                     ;; override bindings in base-keymap.
                     base-keymap)))
-         (result (read-from-minibuffer prompt initial-input keymap
-                                       nil hist def inherit-input-method)))
+         ;; Get the value of `completion-ignore-case' from the original
+         ;; buffer where it is either buffer-local or let-bound.
+         (c-i-c completion-ignore-case)
+         (result
+          (minibuffer-with-setup-hook
+              (lambda ()
+                ;; Copy the value from original buffer to the minibuffer.
+                (set (make-local-variable 'completion-ignore-case) c-i-c))
+            (read-from-minibuffer prompt initial-input keymap
+                                  nil hist def inherit-input-method))))
     (when (and (equal result "") def)
       (setq result (if (consp def) (car def) def)))
     result))





Message received at fakecontrol@fakecontrolmessage:


Received: (at fakecontrol) by fakecontrolmessage;
To: internal_control <at> debbugs.gnu.org
From: Debbugs Internal Request <help-debbugs@HIDDEN>
Subject: Internal Control
Message-Id: Did not alter fixed versions and reopened.
Date: Thu, 10 Jan 2013 00:37:02 +0000
User-Agent: Fakemail v42.6.9

# This is a fake control message.
#
# The action:
# Did not alter fixed versions and reopened.
thanks
# This fakemail brought to you by your local debbugs
# administrator


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Stefan Monnier <monnier@HIDDEN>
Original-Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 10 Jan 2013 02:52:09 +0000
Resent-Message-ID: <handler.12615.B12615.135778631418403 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Juri Linkov <juri@HIDDEN>
Cc: 12615 <at> debbugs.gnu.org, Harald Hanche-Olsen <hanche@HIDDEN>
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.135778631418403
          (code B ref 12615); Thu, 10 Jan 2013 02:52:09 +0000
Received: (at 12615) by debbugs.gnu.org; 10 Jan 2013 02:51:54 +0000
Received: from localhost ([127.0.0.1]:59289 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tt8Et-0004mI-Cz
	for submit <at> debbugs.gnu.org; Wed, 09 Jan 2013 21:51:52 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:62714)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1Tt8Dq-0004kK-SL
	for 12615 <at> debbugs.gnu.org; Wed, 09 Jan 2013 21:51:10 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AhoHAG6Zu0+4rw8T/2dsb2JhbABEgXuuTYNJgQiCFQEBBAFWIwULCzQSFBgNJIgcBboJkEQDiEKacYFYgwc
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="212189665"
Received: from 184-175-15-19.dsl.teksavvy.com (HELO pastel.home)
	([184.175.15.19])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	09 Jan 2013 21:50:02 -0500
Received: by pastel.home (Postfix, from userid 20848)
	id 94AAD592A9; Wed,  9 Jan 2013 21:50:02 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
Message-ID: <jwvlic1zra7.fsf-monnier+emacs@HIDDEN>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
	<jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
	<87d2xsxy9q.fsf@HIDDEN> <878v89u7pg.fsf@HIDDEN>
	<jwvhams9xnc.fsf-monnier+emacs@HIDDEN>
	<87pq1fjjfu.fsf@HIDDEN> <87fw29vq9v.fsf@HIDDEN>
Date: Wed, 09 Jan 2013 21:50:02 -0500
In-Reply-To: <87fw29vq9v.fsf@HIDDEN> (Juri Linkov's message of "Thu,
	10 Jan 2013 02:24:27 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.5 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> I tried to do this in `completing-read-default', and it seems to fix the
> reported problem, and (make-local-variable 'completion-ignore-case) in
> the *scratch* buffer doesn't override the let-binding in `read-char-by-name':

Let's keep it around as a possible fallback workaround, but I'd rather
avoid using it if possible.


        Stefan




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#12615: 24.2.50; Non-ignored case in insert-char
Resent-From: Lars Ingebrigtsen <larsi@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 13 Sep 2020 16:35:02 +0000
Resent-Message-ID: <handler.12615.B12615.16000148644139 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 12615
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: Stefan Monnier <monnier@HIDDEN>
Cc: Juri Linkov <juri@HIDDEN>, 12615 <at> debbugs.gnu.org, Harald Hanche-Olsen <hanche@HIDDEN>
Received: via spool by 12615-submit <at> debbugs.gnu.org id=B12615.16000148644139
          (code B ref 12615); Sun, 13 Sep 2020 16:35:02 +0000
Received: (at 12615) by debbugs.gnu.org; 13 Sep 2020 16:34:24 +0000
Received: from localhost ([127.0.0.1]:51491 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kHUxL-00014h-Nq
	for submit <at> debbugs.gnu.org; Sun, 13 Sep 2020 12:34:24 -0400
Received: from quimby.gnus.org ([95.216.78.240]:47128)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kHUx4-00013t-RY
 for 12615 <at> debbugs.gnu.org; Sun, 13 Sep 2020 12:34:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=ih1JHJXYOVTontcivCXp79/C9DPpfZtvQj3/QetT4LI=; b=gIGLeIgZ03K7PNejqNMH5zSwQV
 iUqrXm+TGQPgj6LMwyWpUtuhZcg1YeQFnmllMn0z+UbcjPshOVwV34V15MqHBdCiKKDOzd8jkEqCu
 FORvKyUMZnkKW5xVe0ko5Ii2DjsGX05l3YOM+Yy5Z9gKjfpA6fnwXj6leCgTWF4vza5w=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kHUwt-000595-Ia; Sun, 13 Sep 2020 18:33:58 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
References: <20121010.173658.77853335142870486.hanche@HIDDEN>
 <jwvwqyxn7zh.fsf-monnier+emacs@HIDDEN>
 <87d2xsxy9q.fsf@HIDDEN> <878v89u7pg.fsf@HIDDEN>
 <jwvhams9xnc.fsf-monnier+emacs@HIDDEN>
 <87pq1fjjfu.fsf@HIDDEN> <87fw29vq9v.fsf@HIDDEN>
 <jwvlic1zra7.fsf-monnier+emacs@HIDDEN>
X-Now-Playing: Deathcrush's _The Single Series_: "Lesson #4 For Wharton
 Tiers: Strauss"
Date: Sun, 13 Sep 2020 18:33:54 +0200
In-Reply-To: <jwvlic1zra7.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
 of "Wed, 09 Jan 2013 21:50:02 -0500")
Message-ID: <87mu1tiqkt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview: Stefan Monnier <monnier@HIDDEN> writes: >> I tried
 to do this in `completing-read-default', and it seems to fix the >> reported
 problem, and (make-local-variable 'completion-ignore-case) in >> the *scratch*
 buffer doesn't override the let-b [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Stefan Monnier <monnier@HIDDEN> writes:

>> I tried to do this in `completing-read-default', and it seems to fix the
>> reported problem, and (make-local-variable 'completion-ignore-case) in
>> the *scratch* buffer doesn't override the let-binding in `read-char-by-name':
>
> Let's keep it around as a possible fallback workaround, but I'd rather
> avoid using it if possible.

Amazingly enough, the patch still applies seven years later, and it
still fixes the bug reported by Harald.

It is a bit of a hack, but...  Any further opinions?  I'm in favour of
applying (after modernising a teensy bit).

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no





Last modified: Sun, 13 Sep 2020 16:45:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.